## starpu 1.4.3+dfsg

=== debian/changelog ===
starpu (1.4.3+dfsg-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:53:54 +1100

starpu (1.4.3+dfsg-5) unstable; urgency=medium

  * control: Fix missing Conflicts against both non-t64 and t64 packages.
  * control: Fix missing Breaks+Replaces for contrib t64 packages.
    Closes: Bug#1065258.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 14:16:23 +0100

starpu (1.4.3+dfsg-4) unstable; urgency=medium

  * control: Upgrade conflicts between starpu and starpu-contrib to 64-bit
    time_t names.  Closes: #1065258

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2024 11:10:29 +0100

starpu (1.4.3+dfsg-3) unstable; urgency=medium

  * patches/avoid-version: Avoid including version numbers for loadable
    plugins. Avoids useless shlibs file.
  * Rename contrib libraries for 64-bit time_t transition.
  * rules: Avoid ignoring failures from 'chmod'.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2024 01:31:03 +0100

starpu (1.4.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063083
  * Ignore failures from 'chmod' in debian/rules clean; this fails because
    '*contrib*' .install files have become dangling symlinks, but these are
    not part of the source package anyway.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:31:25 +0000

starpu (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 20:36:00 +0100

starpu (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - control: Add python3-cloudpickle build-dep.
    - control: Add python3-setuptools build-dep.
    - control: Add python3-numpy build-dep.
    - patches/python-destdir: Fix missing $(DESTDIR).
    - not-installed: Not installing python files for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 14:24:40 +0100

=== debian/control ===
Source: starpu
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
	chrpath,
	pkg-config,
	libnuma-dev [linux-any],
	libglpk-dev,
	mpi-default-dev,
	libgl-dev,
	libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	libfxt-dev, pajeng,
	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
	python3-dev,
	libpython3-dev, python3-setuptools,
	python3-cloudpickle, python3-joblib, python3-numpy,
	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
	valgrind-if-available,
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
	help2man, doxygen,
#	nvidia-cuda-toolkit-gcc (>= 10.1),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://starpu.gitlabpages.inria.fr/
Vcs-Git: https://salsa.debian.org/debian/starpu.git
Vcs-Browser: https://salsa.debian.org/debian/starpu

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu-1.4-4t64 (= ${binary:Version}) | libstarpu-any-1.4-4, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
Conflicts: libstarpu-contrib-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
# This "contrib" version is built against CUDA.

Package: libstarpu-1.4-4t64
Replaces: libstarpu-1.4-4
Breaks: libstarpu-1.4-4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-1.4-4, libstarpu-contrib-1.4-4t64
Provides: ${t64:Provides}, libstarpu-any-1.4-4
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
# This "contrib" version is built against CUDA.

Package: libstarpu-openmp-llvm-1.4-1t64
Replaces: libstarpu-openmp-llvm-1.4-1
Breaks: libstarpu-openmp-llvm-1.4-1 (<< ${source:Version})
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-any-openmp-llvm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the runtime support for LLVM OpenMP.
# This "contrib" version is built against CUDA.

Package: libstarpufft-1.4-1t64
Replaces: libstarpufft-1.4-1
Breaks: libstarpufft-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft-1.4-1, libstarpu-contribfft-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyfft-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
# This "contrib" version is built against CUDA.

Package: libstarpumpi-1.4-3t64
Replaces: libstarpumpi-1.4-3
Breaks: libstarpumpi-1.4-3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi-1.4-3, libstarpu-contribmpi-1.4-3t64
Provides: ${t64:Provides}, libstarpu-anympi-1.4-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
# This "contrib" version is built against CUDA.

Package: starpu-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
Provides: starpu-any-tools
Recommends: python3:any
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
# This "contrib" version is built against CUDA.

Package: starpu-examples
Section: science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Replaces: libstarpu-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Conflicts: starpu-contrib-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
# This "contrib" version is built against CUDA.

Package: libsocl-1.4-1t64
Replaces: libsocl-1.4-1
Breaks: libsocl-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-contrib-1.4-1, libsocl-contrib-1.4-1t64
Provides: ${t64:Provides}, libsocl-any-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
# This "contrib" version is built against CUDA.

Package: libstarpurm-1.4-1t64
Replaces: libstarpurm-1.4-1
Breaks: libstarpurm-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribrm-1.4-1, libstarpu-contribrm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyrm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the resource management library.
# This "contrib" version is built against CUDA.

## starpu 1.4.5+dfsg

=== debian/changelog ===
starpu (1.4.5+dfsg-4build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:56:17 +0100

starpu (1.4.5+dfsg-4build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:21:18 +0000

starpu (1.4.5+dfsg-4) unstable; urgency=medium

  * control: Drop libstarpu-openmp-llvm package on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 22:47:49 +0100

starpu (1.4.5+dfsg-3) unstable; urgency=medium

  * control,rules: Disable llvm omp on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 21:41:46 +0100

starpu (1.4.5+dfsg-2) unstable; urgency=medium

  * patches/gcc-14: Fix build with gcc 14.  Closes: Bug#1075537, Bug#1078230.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 21:54:03 +0200

starpu (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - patches/avoid-version: Upstreamed.
    - patches/python-destdir: Upstreamed.
  * control: Replace pkg-config with pkgconf.
  * watch: Check signature.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Apr 2024 16:17:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: starpu
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	chrpath,
-	pkg-config,
+	pkgconf,
 	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
@@ -22,8 +21,8 @@
 	python3-dev,
 	libpython3-dev, python3-setuptools,
 	python3-cloudpickle, python3-joblib, python3-numpy,
-	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
-	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
+	clang      [amd64 arm64 armhf ppc64el ppc64],
+	libomp-dev [amd64 arm64 armhf ppc64el ppc64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
@@ -40,7 +39,7 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.4-4t64 (= ${binary:Version}) | libstarpu-any-1.4-4, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+Depends: libstarpu-1.4-5t64 (= ${binary:Version}) | libstarpu-any-1.4-5, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf ppc64el ppc64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf ppc64el ppc64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -55,14 +54,14 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.4-4t64
-Replaces: libstarpu-1.4-4
-Breaks: libstarpu-1.4-4 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.4-4, libstarpu-contrib-1.4-4t64
-Provides: ${t64:Provides}, libstarpu-any-1.4-4
+Package: libstarpu-1.4-5t64
+Replaces: libstarpu-1.4-5
+Breaks: libstarpu-1.4-5 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-5, libstarpu-contrib-1.4-5t64
+Provides: ${t64:Provides}, libstarpu-any-1.4-5
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -78,7 +77,7 @@
 Package: libstarpu-openmp-llvm-1.4-1t64
 Replaces: libstarpu-openmp-llvm-1.4-1
 Breaks: libstarpu-openmp-llvm-1.4-1 (<< ${source:Version})
-Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
+Architecture: amd64 arm64 armhf ppc64el ppc64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-contrib-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64

=== debian/rules ===
#!/usr/bin/make -f

# This may bring unexpected warnings/errors
undefine STARPU_DEVEL

DH_OPTIONS=-Bbuild

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 8

ifeq ($(DEB_SOURCE),starpu-contrib)
# nvcc sometimes chokes on some gcc features
CC=cuda-gcc
CXX=cuda-g++
endif
OMPI_CC=$(CC)
export CC
export CXX
export OMPI_CC

export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf ppc64el ppc64))
OPENMP_LLVM=1
else
OPENMP_LLVM=0
endif

ifeq ($(OPENMP_LLVM),1)
CONFIGURE_OPENMP_LLVM = --enable-openmp-llvm
endif

%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- \
		--enable-opengl-render \
		--enable-openmp \
		--enable-quick-check \
		--enable-mlr-system-blas \
		--enable-starpurm \
		--enable-starpurm-examples \
		--enable-maxnodes=16 \
		--enable-maxcpus=32 \
		--enable-maxnumanodes=4 \
		--enable-tcpip-master-slave \
		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
		$(CONFIGURE_OPENMP_LLVM) \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -- -k
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build showcheck
endif

override_dh_auto_install:
	dh_auto_install
ifeq ($(OPENMP_LLVM),1)
	# Debian does symlink libomp into libdir
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/starpu/examples/starpu_openmp_llvm/hello-task
endif

override_dh_auto_clean:
	# No idea why salsa CI is adding +x on libsocl-1.3-0.install and libstarpu-1.3-5.install (and no others...)
	ls -l debian/*.install
	chmod -x debian/*.install
	dh_auto_clean $(DH_OPTIONS)
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -fr .nv

# Switch to main rules
sw-main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/Depends/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i 's/Replaces: libstarpu-contrib/Replaces: libstarpu/' debian/control
	sed -i 's/Replaces: libsocl-contrib/Replaces: libsocl/' debian/control
	sed -i 's/Replaces: starpu-contrib/Replaces: starpu/' debian/control
	sed -i 's/Breaks: libstarpu-contrib/Breaks: libstarpu/' debian/control
	sed -i 's/Breaks: libsocl-contrib/Breaks: libsocl/' debian/control
	sed -i 's/Breaks: starpu-contrib/Breaks: starpu/' debian/control
	sed -i '/^Conflicts:/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/^Conflicts:/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i '/^Conflicts:/s/ starpu/ starpu-contrib/g' debian/control
	sed -i 's/^	nvidia-cuda-toolkit-gcc/#	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
sw-contrib:
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/Depends/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i 's/Replaces: libstarpu/Replaces: libstarpu-contrib/' debian/control
	sed -i 's/Replaces: libsocl/Replaces: libsocl-contrib/' debian/control
	sed -i 's/Replaces: starpu/Replaces: starpu-contrib/' debian/control
	sed -i 's/Breaks: libstarpu/Breaks: libstarpu-contrib/' debian/control
	sed -i 's/Breaks: libsocl/Breaks: libsocl-contrib/' debian/control
	sed -i 's/Breaks: starpu/Breaks: starpu-contrib/' debian/control
	sed -i '/^Conflicts:/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/^Conflicts:/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i '/^Conflicts:/s/ starpu-contrib/ starpu/g' debian/control
	sed -i 's/#	nvidia-cuda-toolkit-gcc/	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

## starpu 1.4.7+dfsg

=== debian/changelog ===
starpu (1.4.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2025 20:01:07 +0200

starpu (1.4.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-5t64 to libstarpu-1.4-6 according to soname bump.
    - patches/hipblas: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:32:49 +0200

starpu (1.4.5+dfsg-5) unstable; urgency=medium

  * control: Re-enable llvm omp and libstarpu-openmp-llvm package on mips64el,
    riscv64, and enable on loong64.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097937)
  * patches/hipblas: Fix hip build.
  * control: Add libamdhip64-dev and libhipblas-dev build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:31:26 +0200

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
 	python3-dev,
 	libpython3-dev, python3-setuptools,
 	python3-cloudpickle, python3-joblib, python3-numpy,
-	clang      [amd64 arm64 armhf ppc64el ppc64],
-	libomp-dev [amd64 arm64 armhf ppc64el ppc64],
+	clang      [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
+	libomp-dev [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
+	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el],
 	gfortran,
 	help2man, doxygen,
 #	nvidia-cuda-toolkit-gcc (>= 10.1),
@@ -39,7 +40,15 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.4-5t64 (= ${binary:Version}) | libstarpu-any-1.4-5, libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf ppc64el ppc64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf ppc64el ppc64], libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1, libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3, libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1, libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+Depends: libstarpu-1.4-6 (= ${binary:Version}) | libstarpu-any-1.4-6,
+	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
+	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
+	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
+	libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
+	libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
+	${misc:Depends},
+	libhwloc-dev, opencl-headers, ocl-icd-opencl-dev,
+	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -54,14 +63,12 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.4-5t64
-Replaces: libstarpu-1.4-5
-Breaks: libstarpu-1.4-5 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.4-5, libstarpu-contrib-1.4-5t64
-Provides: ${t64:Provides}, libstarpu-any-1.4-5
+Package: libstarpu-1.4-6
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-6
+Provides: libstarpu-any-1.4-6
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -77,7 +84,7 @@
 Package: libstarpu-openmp-llvm-1.4-1t64
 Replaces: libstarpu-openmp-llvm-1.4-1
 Breaks: libstarpu-openmp-llvm-1.4-1 (<< ${source:Version})
-Architecture: amd64 arm64 armhf ppc64el ppc64
+Architecture: amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-contrib-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64

## starpu 1.4.8+dfsg

=== min-dgels/base/F2CLIBS/libf2c/Makefile ===

TOPDIR=../..
include $(TOPDIR)/make.inc

# Unix makefile: see README.
# For C++, first "make hadd".
# If your compiler does not recognize ANSI C, add
#	-DKR_headers
# to the CFLAGS = line below.
# On Sun and other BSD systems that do not provide an ANSI sprintf, add
#	-DUSE_STRLEN
# to the CFLAGS = line below.
# On Linux systems, add
#	-DNON_UNIX_STDIO
# to the CFLAGS = line below.  For libf2c.so under Linux, also add
#	-fPIC
# to the CFLAGS = line below.

.SUFFIXES: .c .o

# compile, then strip unnecessary symbols
.c.o:
	$(CC) -c -DSkip_f2c_Undefs $(CFLAGS) $*.c
	$(LD) -r -x -o $*.xxx $*.o
	mv $*.xxx $*.o
## Under Solaris (and other systems that do not understand ld -x),
## omit -x in the ld line above.
## If your system does not have the ld command, comment out
## or remove both the ld and mv lines above.

MISC =	f77vers.o i77vers.o main.o s_rnge.o abort_.o exit_.o getarg_.o iargc_.o\
	getenv_.o signal_.o s_stop.o s_paus.o system_.o cabs.o ctype.o\
	derf_.o derfc_.o erf_.o erfc_.o sig_die.o uninit.o
POW =	pow_ci.o pow_dd.o pow_di.o pow_hh.o pow_ii.o pow_ri.o pow_zi.o pow_zz.o
CX =	c_abs.o c_cos.o c_div.o c_exp.o c_log.o c_sin.o c_sqrt.o
DCX =	z_abs.o z_cos.o z_div.o z_exp.o z_log.o z_sin.o z_sqrt.o
REAL =	r_abs.o r_acos.o r_asin.o r_atan.o r_atn2.o r_cnjg.o r_cos.o\
	r_cosh.o r_dim.o r_exp.o r_imag.o r_int.o\
	r_lg10.o r_log.o r_mod.o r_nint.o r_sign.o\
	r_sin.o r_sinh.o r_sqrt.o r_tan.o r_tanh.o
DBL =	d_abs.o d_acos.o d_asin.o d_atan.o d_atn2.o\
	d_cnjg.o d_cos.o d_cosh.o d_dim.o d_exp.o\
	d_imag.o d_int.o d_lg10.o d_log.o d_mod.o\
	d_nint.o d_prod.o d_sign.o d_sin.o d_sinh.o\
	d_sqrt.o d_tan.o d_tanh.o
INT =	i_abs.o i_dim.o i_dnnt.o i_indx.o i_len.o i_len_trim.o i_mod.o i_nint.o i_sign.o\
	lbitbits.o lbitshft.o i_ceiling.o
HALF =	h_abs.o h_dim.o h_dnnt.o h_indx.o h_len.o h_mod.o h_nint.o h_sign.o
CMP =	l_ge.o l_gt.o l_le.o l_lt.o hl_ge.o hl_gt.o hl_le.o hl_lt.o
EFL =	ef1asc_.o ef1cmc_.o
CHAR =	f77_aloc.o s_cat.o s_cmp.o s_copy.o
I77 =	backspac.o close.o dfe.o dolio.o due.o endfile.o err.o\
	fmt.o fmtlib.o ftell_.o iio.o ilnw.o inquire.o lread.o lwrite.o\
	open.o rdfmt.o rewind.o rsfe.o rsli.o rsne.o sfe.o sue.o\
	typesize.o uio.o util.o wref.o wrtfmt.o wsfe.o wsle.o wsne.o xwsne.o
QINT =	pow_qq.o qbitbits.o qbitshft.o ftell64_.o
TIME =	dtime_.o etime_.o

# If you get an error compiling dtime_.c or etime_.c, try adding
# -DUSE_CLOCK to the CFLAGS assignment above; if that does not work,
# omit $(TIME) from OFILES = assignment below.

# To get signed zeros in write statements on IEEE-arithmetic systems,
# add -DSIGNED_ZEROS to the CFLAGS assignment below and add signbit.o
# to the end of the OFILES = assignment below.

# For INTEGER*8 support (which requires system-dependent adjustments to
# f2c.h), add $(QINT) to the OFILES = assignment below...

OFILES = $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) \
	$(HALF) $(CMP) $(EFL) $(CHAR) $(I77) $(TIME)

all: f2c.h signal1.h sysdep1.h libminf2c.a

libminf2c.a: $(OFILES)
	$(ARCH) $(ARCHFLAGS) $(F2CLIB) $?
	$(RANLIB) $(F2CLIB)

## Shared-library variant: the following rule works on Linux
## systems.  Details are system-dependent.  Under Linux, -fPIC
## must appear in the CFLAGS assignment when making libf2c.so.
## Under Solaris, use -Kpic in CFLAGS and use "ld -G" instead
## of "cc -shared".

libf2c.so: $(OFILES)
	$(CC) -shared -o libf2c.so $(OFILES)

### If your system lacks ranlib, you don't need it; see README.

f77vers.o: f77vers.c
	$(CC) -c f77vers.c

i77vers.o: i77vers.c
	$(CC) -c i77vers.c

# To get an "f2c.h" for use with "f2c -C++", first "make hadd"
hadd: f2c.h0 f2ch.add
	cat f2c.h0 f2ch.add >f2c.h

# For use with "f2c" and "f2c -A":
f2c.h: f2c.h0
	cp f2c.h0 f2c.h

# You may need to adjust signal1.h and sysdep1.h suitably for your system...
signal1.h: signal1.h0
	cp signal1.h0 signal1.h

sysdep1.h: sysdep1.h0
	cp sysdep1.h0 sysdep1.h

# If your system lacks onexit() and you are not using an
# ANSI C compiler, then you should uncomment the following
# two lines (for compiling main.o):
#main.o: main.c
#	$(CC) -c -DNO_ONEXIT -DSkip_f2c_Undefs main.c
# On at least some Sun systems, it is more appropriate to
# uncomment the following two lines:
#main.o: main.c
#	$(CC) -c -Donexit=on_exit -DSkip_f2c_Undefs main.c

clean:
	rm -f libminf2c.a *.o arith.h signal1.h sysdep1.h

backspac.o:	fio.h
close.o:	fio.h
dfe.o:		fio.h
dfe.o:		fmt.h
due.o:		fio.h
endfile.o:	fio.h rawio.h
err.o:		fio.h rawio.h
fmt.o:		fio.h
fmt.o:		fmt.h
iio.o:		fio.h
iio.o:		fmt.h
ilnw.o:		fio.h
ilnw.o:		lio.h
inquire.o:	fio.h
lread.o:	fio.h
lread.o:	fmt.h
lread.o:	lio.h
lread.o:	fp.h
lwrite.o:	fio.h
lwrite.o:	fmt.h
lwrite.o:	lio.h
open.o:		fio.h rawio.h
rdfmt.o:	fio.h
rdfmt.o:	fmt.h
rdfmt.o:	fp.h
rewind.o:	fio.h
rsfe.o:		fio.h
rsfe.o:		fmt.h
rsli.o:		fio.h
rsli.o:		lio.h
rsne.o:		fio.h
rsne.o:		lio.h
sfe.o:		fio.h
signbit.o:	arith.h
sue.o:		fio.h
uio.o:		fio.h
uninit.o:	arith.h
util.o:		fio.h
wref.o:		fio.h
wref.o:		fmt.h
wref.o:		fp.h
wrtfmt.o:	fio.h
wrtfmt.o:	fmt.h
wsfe.o:		fio.h
wsfe.o:		fmt.h
wsle.o:		fio.h
wsle.o:		fmt.h
wsle.o:		lio.h
wsne.o:		fio.h
wsne.o:		lio.h
xwsne.o:	fio.h
xwsne.o:	lio.h
xwsne.o:	fmt.h

main.o:		signal1.h
signal_.o:	signal1.h
s_paus.o:	signal1.h

err.o:		sysdep1.h
fio.h:		sysdep1.h
util.c:		sysdep1.h

arith.h: arithchk.c
	$(CC) $(CFLAGS) -DNO_FPINIT arithchk.c -lm ||\
	 $(CC) -DNO_LONG_LONG $(CFLAGS) -DNO_FPINIT arithchk.c -lm
	./a.out >arith.h
	rm -f a.out arithchk.o

check:
	xsum Notice README abort_.c arithchk.c backspac.c c_abs.c c_cos.c \
	c_div.c c_exp.c c_log.c c_sin.c c_sqrt.c cabs.c close.c comptry.bat \
	ctype.c ctype.h \
	d_abs.c d_acos.c d_asin.c d_atan.c d_atn2.c d_cnjg.c d_cos.c d_cosh.c \
	d_dim.c d_exp.c d_imag.c d_int.c d_lg10.c d_log.c d_mod.c \
	d_nint.c d_prod.c d_sign.c d_sin.c d_sinh.c d_sqrt.c d_tan.c \
	d_tanh.c derf_.c derfc_.c dfe.c dolio.c dtime_.c due.c ef1asc_.c \
	ef1cmc_.c endfile.c erf_.c erfc_.c err.c etime_.c exit_.c f2c.h0 \
	f2ch.add f77_aloc.c f77vers.c fio.h fmt.c fmt.h fmtlib.c \
	fp.h ftell_.c ftell64_.c i_ceiling.c \
	getarg_.c getenv_.c h_abs.c h_dim.c h_dnnt.c h_indx.c h_len.c \
	h_mod.c h_nint.c h_sign.c hl_ge.c hl_gt.c hl_le.c hl_lt.c \
	i77vers.c i_abs.c i_dim.c i_dnnt.c i_indx.c i_len.c i_len_trim.c i_mod.c \
	i_nint.c i_sign.c iargc_.c iio.c ilnw.c inquire.c l_ge.c l_gt.c \
	l_le.c l_lt.c lbitbits.c lbitshft.c libf2c.lbc libf2c.sy lio.h \
	lread.c lwrite.c main.c makefile.sy makefile.u makefile.vc \
	makefile.wat math.hvc mkfile.plan9 open.c pow_ci.c pow_dd.c \
	pow_di.c pow_hh.c pow_ii.c pow_qq.c pow_ri.c pow_zi.c pow_zz.c \
	qbitbits.c qbitshft.c r_abs.c r_acos.c r_asin.c r_atan.c r_atn2.c \
	r_cnjg.c r_cos.c r_cosh.c r_dim.c r_exp.c r_imag.c r_int.c r_lg10.c \
	r_log.c r_mod.c r_nint.c r_sign.c r_sin.c r_sinh.c r_sqrt.c \
	r_tan.c r_tanh.c rawio.h rdfmt.c rewind.c rsfe.c rsli.c rsne.c \
	s_cat.c s_cmp.c s_copy.c s_paus.c s_rnge.c s_stop.c scomptry.bat sfe.c \
	sig_die.c signal1.h0 signal_.c signbit.c sue.c sysdep1.h0 system_.c \
	typesize.c \
	uio.c uninit.c util.c wref.c wrtfmt.c wsfe.c wsle.c wsne.c xwsne.c \
	z_abs.c z_cos.c z_div.c z_exp.c z_log.c z_sin.c z_sqrt.c >xsum1.out
	cmp xsum0.out xsum1.out && mv xsum1.out xsum.out || diff xsum[01].out

=== debian/changelog ===
starpu (1.4.8+dfsg-4) unstable; urgency=medium

  * control: Fix typo. 

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Aug 2025 09:29:13 +0200

starpu (1.4.8+dfsg-3) unstable; urgency=medium

  * control: Add missing dependency of libstarpu-dev on hip headers.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Aug 2025 01:25:02 +0200

starpu (1.4.8+dfsg-2) unstable; urgency=medium

  * control: Drop version of dependency on pkg-rocm-tools.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Aug 2025 22:47:01 +0200

starpu (1.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Rename libstarpu-1.4-6 to libstarpu-1.4-7 according to soname bump.
    - patches/gcc-14: Upstreamed.
    - patches/gcc-15: Upstreamed.
    - patches/hipblas: Upstreamed.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Aug 2025 00:39:30 +0200

starpu (1.4.7+dfsg-2+exp3) experimental; urgency=medium

  * patches/hip-opencl: Fix hip / OpenCL clash.
  * tests/examples: Run all tests before failing.
  * control: build-depend on pkg-rocm-tools that provides the list of archs to
    build for.
  * rules: Use rocm-target-arch to get list of HIP archs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Jul 2025 20:46:33 +0200

starpu (1.4.7+dfsg-2+exp2) experimental; urgency=medium

  * rules: Disable dh_dwz.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Jul 2025 22:29:38 +0200

starpu (1.4.7+dfsg-2+exp1) experimental; urgency=medium

  * control: Add missing hipcc and librocblas-dev packages for HIP support.
  * tests/control: Add rocm CI test.
  * tests/examples: Also run starpu_machine_display.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Jul 2025 20:27:42 +0200

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,13 @@
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
-	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el],
+	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
+	pkg-rocm-tools,
 	gfortran,
 	help2man, doxygen,
 #	nvidia-cuda-toolkit-gcc (>= 10.1),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://starpu.gitlabpages.inria.fr/
 Vcs-Git: https://salsa.debian.org/debian/starpu.git
@@ -40,15 +41,17 @@
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.4-6 (= ${binary:Version}) | libstarpu-any-1.4-6,
+Depends: libstarpu-1.4-7 (= ${binary:Version}) | libstarpu-any-1.4-7,
 	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
 	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
 	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
 	libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
 	libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
 	${misc:Depends},
-	libhwloc-dev, opencl-headers, ocl-icd-opencl-dev,
-	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+	libhwloc-dev,
+	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
+	opencl-headers, ocl-icd-opencl-dev,
+	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -63,12 +66,12 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.4-6
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.4-6
-Provides: libstarpu-any-1.4-6
+Package: libstarpu-1.4-7
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contrib-1.4-7
+Provides: libstarpu-any-1.4-7
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
